Index: doc/latex/classlogger__inherit__graph.eps
===================================================================
--- doc/latex/classlogger__inherit__graph.eps (revision 99)
+++ doc/latex/classlogger__inherit__graph.eps (revision 99)
@@ -0,0 +1,310 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 96 176
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 60 140 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 5 112 moveto
+5 131 lineto
+47 131 lineto
+47 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 5 112 moveto
+5 131 lineto
+47 131 lineto
+47 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+12.875 117.25 moveto 26.25 (logger) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 1 57 51 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classmemlog.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1 56 moveto
+1 75 lineto
+52 75 lineto
+52 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1 56 moveto
+1 75 lineto
+52 75 lineto
+52 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8.75 61.25 moveto 34.5 (memlog) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 26 102 moveto
+26 93 26 82 26 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 22.5001 102 moveto
+26 112 lineto
+29.5001 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 22.5001 102 moveto
+26 112 lineto
+29.5001 102 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 0 1 52 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classdirfilelog.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+52 19 lineto
+52 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+52 19 lineto
+52 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8 5.25 moveto 36 (dirfilelog) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 26 46 moveto
+26 37 26 26 26 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 22.5001 46 moveto
+26 56 lineto
+29.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 22.5001 46 moveto
+26 56 lineto
+29.5001 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 96 176
+end
+restore
+%%EOF
Index: doc/latex/libEF_8h__dep__incl.md5
===================================================================
--- doc/latex/libEF_8h__dep__incl.md5 (revision 91)
+++ doc/latex/libEF_8h__dep__incl.md5 (revision 99)
@@ -1,1 +1,1 @@
-88737b8dd561c3f4b292f9fc957a4427
+6cf63d3e6ccb0f063099ab2356f4cbc6
Index: doc/latex/libKF_8h__dep__incl.eps
===================================================================
--- doc/latex/libKF_8h__dep__incl.eps (revision 99)
+++ doc/latex/libKF_8h__dep__incl.eps (revision 99)
@@ -0,0 +1,310 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 488 120
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 452 84 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 117 56 moveto
+117 75 lineto
+264 75 lineto
+264 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 117 56 moveto
+117 75 lineto
+264 75 lineto
+264 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+124.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 0 1 150 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+151 19 lineto
+151 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+151 19 lineto
+151 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.5 5.25 moveto 135 (work/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 160 52 moveto
+138 42 111 28 93 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.44 55.1369 moveto
+169 56 lineto
+161.283 48.7402 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.44 55.1369 moveto
+169 56 lineto
+161.283 48.7402 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 168 1 444 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 168 0 moveto
+168 19 lineto
+444 19 lineto
+444 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 168 0 moveto
+168 19 lineto
+444 19 lineto
+444 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+175.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 220 52 moveto
+242 42 269 28 287 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 218.717 48.7402 moveto
+211 56 lineto
+221.56 55.1369 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 218.717 48.7402 moveto
+211 56 lineto
+221.56 55.1369 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 488 120
+end
+restore
+%%EOF
Index: doc/latex/classeEF__inherit__graph.eps
===================================================================
--- doc/latex/classeEF__inherit__graph.eps (revision 91)
+++ doc/latex/classeEF__inherit__graph.eps (revision 99)
@@ -180,29 +180,29 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 421 246
+%%PageBoundingBox: 36 36 475 246
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 385 210 boxprim clip newpath
+36 36 439 210 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 103 124 moveto
-103 143 lineto
-137 143 lineto
-137 124 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 103 124 moveto
-103 143 lineto
-137 143 lineto
-137 124 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-111 129.25 moveto 18 (eEF) alignedtext
+newpath 138 124 moveto
+138 143 lineto
+172 143 lineto
+172 124 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 138 124 moveto
+138 143 lineto
+172 143 lineto
+172 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+146 129.25 moveto 18 (eEF) alignedtext
 grestore
 % Node3
@@ -236,24 +236,70 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 94 121 moveto
-85 116 76 111 68 106 curveto
-58 99 47 91 39 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 92.4404 124.137 moveto
-103 125 lineto
-95.2834 117.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 92.4404 124.137 moveto
-103 125 lineto
-95.2834 117.74 lineto
+newpath 129 122 moveto
+104 111 69 95 47 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 127.44 125.137 moveto
+138 126 lineto
+130.283 118.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 127.44 125.137 moveto
+138 126 lineto
+130.283 118.74 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 163 67 245 85 ]
+[ /Rect [ 72 67 108 85 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classegiw.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 72 66 moveto
+72 85 lineto
+108 85 lineto
+108 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 72 66 moveto
+72 85 lineto
+108 85 lineto
+108 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+80.25 71.25 moveto 19.5 (egiw) alignedtext
+grestore
+% Node1->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 136 118 moveto
+131 114 126 110 122 106 curveto
+115 99 106 91 100 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 133.9 120.8 moveto
+144 124 lineto
+138.1 115.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 133.9 120.8 moveto
+144 124 lineto
+138.1 115.2 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 217 67 299 85 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -261,45 +307,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 163 66 moveto
-163 85 lineto
-246 85 lineto
-246 66 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 163 66 moveto
-163 85 lineto
-246 85 lineto
-246 66 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-170.625 71.25 moveto 66.75 (enorm< sq_T >) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 144 118 moveto
-159 108 178 94 191 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 141.379 115.541 moveto
-135 124 lineto
-145.262 121.365 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 141.379 115.541 moveto
-135 124 lineto
-145.262 121.365 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 55 1 139 19 ]
+newpath 217 66 moveto
+217 85 lineto
+300 85 lineto
+300 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 217 66 moveto
+217 85 lineto
+300 85 lineto
+300 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+224.625 71.25 moveto 66.75 (enorm< sq_T >) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 181 119 moveto
+200 108 226 94 242 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 179.042 116.084 moveto
+172 124 lineto
+182.441 122.203 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 179.042 116.084 moveto
+172 124 lineto
+182.441 122.203 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 109 1 193 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -307,46 +353,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 55 0 moveto
-55 19 lineto
-140 19 lineto
-140 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 55 0 moveto
-55 19 lineto
-140 19 lineto
-140 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-62.5 5.25 moveto 69 (enorm< ldmat >) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 109 115 moveto
-108 112 106 109 106 106 curveto
-98 75 97 36 97 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.084 116.958 moveto
-114 124 lineto
-112.203 113.559 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.084 116.958 moveto
-114 124 lineto
-112.203 113.559 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 289 1 377 19 ]
+newpath 109 0 moveto
+109 19 lineto
+194 19 lineto
+194 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 109 0 moveto
+109 19 lineto
+194 19 lineto
+194 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+116.5 5.25 moveto 69 (enorm< ldmat >) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155 114 moveto
+154 86 152 39 151 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 151.5 114 moveto
+155 124 lineto
+158.5 114 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 151.5 114 moveto
+155 124 lineto
+158.5 114 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 343 1 431 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -354,46 +399,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 289 0 moveto
-289 19 lineto
-377 19 lineto
-377 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 289 0 moveto
-289 19 lineto
-377 19 lineto
-377 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-297 5.25 moveto 72 (enorm< chmat >) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 147 131 moveto
-192 125 281 105 324 48 curveto
-330 40 332 28 333 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 146.602 127.522 moveto
-137 132 lineto
-147.299 134.488 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146.602 127.522 moveto
-137 132 lineto
-147.299 134.488 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 165 1 255 19 ]
+newpath 343 0 moveto
+343 19 lineto
+431 19 lineto
+431 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 343 0 moveto
+343 19 lineto
+431 19 lineto
+431 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+351 5.25 moveto 72 (enorm< chmat >) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 182 132 moveto
+230 128 330 110 378 48 curveto
+384 40 386 28 387 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 181.602 128.522 moveto
+172 133 lineto
+182.299 135.488 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 181.602 128.522 moveto
+172 133 lineto
+182.299 135.488 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 219 1 309 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -401,46 +446,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 165 0 moveto
-165 19 lineto
-256 19 lineto
-256 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 165 0 moveto
-165 19 lineto
-256 19 lineto
-256 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-172.5 5.25 moveto 75 (enorm< fsqmat >) alignedtext
-grestore
-% Node1->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119 114 moveto
-118 93 121 59 139 38 curveto
-146 29 156 23 166 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 115.5 114 moveto
-119 124 lineto
-122.5 114 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 115.5 114 moveto
-119 124 lineto
-122.5 114 lineto
+newpath 219 0 moveto
+219 19 lineto
+310 19 lineto
+310 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 219 0 moveto
+219 19 lineto
+310 19 lineto
+310 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+226.5 5.25 moveto 75 (enorm< fsqmat >) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161 114 moveto
+168 89 183 48 193 38 curveto
+202 29 213 23 225 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 157.521 113.416 moveto
+158 124 lineto
+164.226 115.427 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 157.521 113.416 moveto
+158 124 lineto
+164.226 115.427 lineto
 closepath stroke
 grestore
 % Node2
 gsave
-[ /Rect [ 103 183 137 201 ]
+[ /Rect [ 138 183 172 201 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
@@ -448,20 +493,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 103 182 moveto
-103 201 lineto
+newpath 138 182 moveto
 138 201 lineto
-138 182 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 103 182 moveto
-103 201 lineto
+173 201 lineto
+173 182 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 138 182 moveto
 138 201 lineto
-138 182 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-110.625 187.25 moveto 18.75 (epdf) alignedtext
+173 201 lineto
+173 182 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+145.625 187.25 moveto 18.75 (epdf) alignedtext
 grestore
 % Node2->Node1
@@ -470,91 +515,91 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 120 172 moveto
-120 162 120 151 120 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 116.5 172 moveto
-120 182 lineto
-123.5 172 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 116.5 172 moveto
-120 182 lineto
-123.5 172 lineto
-closepath stroke
-grestore
-% Node4->Node5
+newpath 155 172 moveto
+155 162 155 151 155 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 151.5 172 moveto
+155 182 lineto
+158.5 172 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 151.5 172 moveto
+155 182 lineto
+158.5 172 lineto
+closepath stroke
+grestore
+% Node5->Node6
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 179 61 moveto
-158 48 129 30 112 19 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 177.559 64.2031 moveto
-188 66 lineto
-180.958 58.084 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 177.559 64.2031 moveto
-188 66 lineto
-180.958 58.084 lineto
+newpath 233 61 moveto
+212 48 183 30 166 19 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 231.559 64.2031 moveto
+242 66 lineto
+234.958 58.084 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 231.559 64.2031 moveto
+242 66 lineto
+234.958 58.084 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans set_font
-159 39.25 moveto 42 (< ldmat >) alignedtext
-grestore
-% Node4->Node6
+213 39.25 moveto 42 (< ldmat >) alignedtext
+grestore
+% Node5->Node7
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 233 62 moveto
-258 49 294 31 315 19 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 231.717 58.7402 moveto
-224 66 lineto
-234.56 65.1369 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 231.717 58.7402 moveto
-224 66 lineto
-234.56 65.1369 lineto
+newpath 287 62 moveto
+312 49 348 31 369 19 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 285.717 58.7402 moveto
+278 66 lineto
+288.56 65.1369 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 285.717 58.7402 moveto
+278 66 lineto
+288.56 65.1369 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans set_font
-274.5 39.25 moveto 45 (< chmat >) alignedtext
-grestore
-% Node4->Node7
+328.5 39.25 moveto 45 (< chmat >) alignedtext
+grestore
+% Node5->Node8
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 206 56 moveto
-207 44 208 29 209 19 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 202.512 55.7013 moveto
-205 66 lineto
-209.478 56.3979 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 202.512 55.7013 moveto
-205 66 lineto
-209.478 56.3979 lineto
+newpath 260 56 moveto
+261 44 262 29 263 19 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 256.512 55.7013 moveto
+259 66 lineto
+263.478 56.3979 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 256.512 55.7013 moveto
+259 66 lineto
+263.478 56.3979 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans set_font
-206 39.25 moveto 48 (< fsqmat >) alignedtext
+260 39.25 moveto 48 (< fsqmat >) alignedtext
 grestore
 endpage
@@ -565,5 +610,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 421 246
+%%BoundingBox: 36 36 475 246
 end
 restore
Index: doc/latex/arx_8h__incl.md5
===================================================================
--- doc/latex/arx_8h__incl.md5 (revision 99)
+++ doc/latex/arx_8h__incl.md5 (revision 99)
@@ -0,0 +1,1 @@
+1409beff30cdb094cf76dab55f0fb1a3
